///////////////////////////
//	File: CEnemy.h
//	Author:	Eric Green
//	Purpose: Enemy class definition
#pragma once
#include "CBase.h"
#include "IListener.h"

class CEnemy :
	public CBase
{
public:
	CEnemy(void);
	virtual ~CEnemy(void);
	void Update();
	void HandleEvent(CEvent* pEvent);
	void Render();
};
